---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libji01t001.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x545E0, symBinAddr: 0x8340, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x56520, symBinAddr: 0xA280, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x56910, symBinAddr: 0xA670, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x578B0, symBinAddr: 0xB610, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x578C0, symBinAddr: 0xB620, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x54100, symBinAddr: 0x80A0, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x54104, symBinAddr: 0x80A4, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x54108, symBinAddr: 0x80A8, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x54250, symBinAddr: 0x80B0, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x54308, symBinAddr: 0x8168, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5430C, symBinAddr: 0x816C, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x54310, symBinAddr: 0x8170, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x54314, symBinAddr: 0x8174, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x54318, symBinAddr: 0x8178, symSize: 0x0 }
  - { offsetInCU: 0x8EEA, offset: 0x8EEA, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x54320, symBinAddr: 0x8180, symSize: 0x0 }
  - { offsetInCU: 0x8F73, offset: 0x8F73, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x54338, symBinAddr: 0x8198, symSize: 0x0 }
  - { offsetInCU: 0x8F8C, offset: 0x8F8C, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x54340, symBinAddr: 0x81A0, symSize: 0x0 }
  - { offsetInCU: 0x8FA5, offset: 0x8FA5, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x54348, symBinAddr: 0x81A8, symSize: 0x0 }
  - { offsetInCU: 0x8FBE, offset: 0x8FBE, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x54350, symBinAddr: 0x81B0, symSize: 0x0 }
  - { offsetInCU: 0x8FD8, offset: 0x8FD8, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x54358, symBinAddr: 0x81B8, symSize: 0x0 }
  - { offsetInCU: 0x90BE, offset: 0x90BE, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x543A0, symBinAddr: 0x81C0, symSize: 0x0 }
  - { offsetInCU: 0x90D7, offset: 0x90D7, size: 0x8, addend: 0x0, symName: __ZL10testThread, symObjAddr: 0x543A8, symBinAddr: 0x81C8, symSize: 0x0 }
  - { offsetInCU: 0x90F0, offset: 0x90F0, size: 0x8, addend: 0x0, symName: __ZL9fnd_calls, symObjAddr: 0x543B0, symBinAddr: 0x81D0, symSize: 0x0 }
  - { offsetInCU: 0x9109, offset: 0x9109, size: 0x8, addend: 0x0, symName: __ZL18orig_jni_functions, symObjAddr: 0x543B8, symBinAddr: 0x81D8, symSize: 0x0 }
  - { offsetInCU: 0x9122, offset: 0x9122, size: 0x8, addend: 0x0, symName: __ZL19redir_jni_functions, symObjAddr: 0x54540, symBinAddr: 0x8330, symSize: 0x0 }
  - { offsetInCU: 0x913B, offset: 0x913B, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x543C0, symBinAddr: 0x81E0, symSize: 0x0 }
  - { offsetInCU: 0x9154, offset: 0x9154, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x544F8, symBinAddr: 0x8318, symSize: 0x0 }
  - { offsetInCU: 0x9174, offset: 0x9174, size: 0x8, addend: 0x0, symName: __ZL9eventLock, symObjAddr: 0x54500, symBinAddr: 0x8320, symSize: 0x0 }
  - { offsetInCU: 0x91C6, offset: 0x91C6, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x1560, symSize: 0x80 }
  - { offsetInCU: 0x925B, offset: 0x925B, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x14B0, symSize: 0xB0 }
  - { offsetInCU: 0x92B6, offset: 0x92B6, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x13B0, symSize: 0x100 }
  - { offsetInCU: 0x9549, offset: 0x9549, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x15E0, symSize: 0xC0 }
  - { offsetInCU: 0x959B, offset: 0x959B, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x16A0, symSize: 0x220 }
  - { offsetInCU: 0x9780, offset: 0x9780, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x18C0, symSize: 0xA0 }
  - { offsetInCU: 0x9833, offset: 0x9833, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x1960, symSize: 0x110 }
  - { offsetInCU: 0x9929, offset: 0x9929, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x1A70, symSize: 0x150 }
  - { offsetInCU: 0x9A86, offset: 0x9A86, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1BC0, symSize: 0x30 }
  - { offsetInCU: 0x9AB3, offset: 0x9AB3, size: 0x8, addend: 0x0, symName: __Z14TranslatePhase10jvmtiPhase, symObjAddr: 0x1860, symBinAddr: 0x1BF0, symSize: 0x30 }
  - { offsetInCU: 0x9B64, offset: 0x9B64, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1C40, symBinAddr: 0x1C20, symSize: 0x150 }
  - { offsetInCU: 0x9D5C, offset: 0x9D5C, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1D90, symBinAddr: 0x1D70, symSize: 0x160 }
  - { offsetInCU: 0xA01C, offset: 0xA01C, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x2220, symBinAddr: 0x1ED0, symSize: 0x4A0 }
  - { offsetInCU: 0xA28F, offset: 0xA28F, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x2970, symBinAddr: 0x2370, symSize: 0x1B0 }
  - { offsetInCU: 0xA4AA, offset: 0xA4AA, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2B20, symBinAddr: 0x2520, symSize: 0xA0 }
  - { offsetInCU: 0xA579, offset: 0xA579, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2E90, symBinAddr: 0x25C0, symSize: 0x20 }
  - { offsetInCU: 0xA5B0, offset: 0xA5B0, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2EB0, symBinAddr: 0x25E0, symSize: 0x20 }
  - { offsetInCU: 0xA5E7, offset: 0xA5E7, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2ED0, symBinAddr: 0x2600, symSize: 0x20 }
  - { offsetInCU: 0xA776, offset: 0xA776, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3610, symBinAddr: 0x2620, symSize: 0x1A0 }
  - { offsetInCU: 0xAA94, offset: 0xAA94, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DF0, symBinAddr: 0x27C0, symSize: 0x80 }
  - { offsetInCU: 0xAB5D, offset: 0xAB5D, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E70, symBinAddr: 0x2840, symSize: 0x6C0 }
  - { offsetInCU: 0xB6D3, offset: 0xB6D3, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xB350, symBinAddr: 0x4AC0, symSize: 0xB0 }
  - { offsetInCU: 0xB74A, offset: 0xB74A, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x4530, symBinAddr: 0x2F00, symSize: 0x70 }
  - { offsetInCU: 0xB7E6, offset: 0xB7E6, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5280, symBinAddr: 0x2F70, symSize: 0xA0 }
  - { offsetInCU: 0xB8F1, offset: 0xB8F1, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x60F0, symBinAddr: 0x3010, symSize: 0x40 }
  - { offsetInCU: 0xB9E7, offset: 0xB9E7, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6130, symBinAddr: 0x3050, symSize: 0x2B0 }
  - { offsetInCU: 0xBD8D, offset: 0xBD8D, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x63E0, symBinAddr: 0x3300, symSize: 0xC0 }
  - { offsetInCU: 0xBED3, offset: 0xBED3, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x64A0, symBinAddr: 0x33C0, symSize: 0x10 }
  - { offsetInCU: 0xBF95, offset: 0xBF95, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x64B0, symBinAddr: 0x33D0, symSize: 0x240 }
  - { offsetInCU: 0xC27E, offset: 0xC27E, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9D10, symBinAddr: 0x3610, symSize: 0x10 }
  - { offsetInCU: 0xC2DB, offset: 0xC2DB, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9D20, symBinAddr: 0x3620, symSize: 0x4A0 }
  - { offsetInCU: 0xC933, offset: 0xC933, size: 0x8, addend: 0x0, symName: __ZL10doRedirectP9_jvmtiEnv10jvmtiPhase, symObjAddr: 0xA830, symBinAddr: 0x3FA0, symSize: 0x390 }
  - { offsetInCU: 0xCCC2, offset: 0xCCC2, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xA1C0, symBinAddr: 0x3AC0, symSize: 0x10 }
  - { offsetInCU: 0xCD95, offset: 0xCD95, size: 0x8, addend: 0x0, symName: _MyFindClass, symObjAddr: 0xA360, symBinAddr: 0x3AD0, symSize: 0x100 }
  - { offsetInCU: 0xCF16, offset: 0xCF16, size: 0x8, addend: 0x0, symName: _VMInit, symObjAddr: 0xA460, symBinAddr: 0x3BD0, symSize: 0x3D0 }
  - { offsetInCU: 0xD426, offset: 0xD426, size: 0x8, addend: 0x0, symName: __ZL9checkCallP7JNIEnv_iPKcS2_i, symObjAddr: 0xABC0, symBinAddr: 0x4330, symSize: 0x240 }
  - { offsetInCU: 0xD71E, offset: 0xD71E, size: 0x8, addend: 0x0, symName: __ZL9doRestoreP9_jvmtiEnv, symObjAddr: 0xAE00, symBinAddr: 0x4570, symSize: 0xE0 }
  - { offsetInCU: 0xD88A, offset: 0xD88A, size: 0x8, addend: 0x0, symName: _VMDeath, symObjAddr: 0xAEE0, symBinAddr: 0x4650, symSize: 0x460 }
  - { offsetInCU: 0xDE33, offset: 0xDE33, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_jni_1interception_JI01_ji01t001_check, symObjAddr: 0xB340, symBinAddr: 0x4AB0, symSize: 0x10 }
  - { offsetInCU: 0xDE6B, offset: 0xDE6B, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xB400, symBinAddr: 0x4B70, symSize: 0x36A }
...
